optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
optoKummenberg.registers.MiscSystems.SnapshotManager Class Reference
Inheritance diagram for optoKummenberg.registers.MiscSystems.SnapshotManager:

## Public Member Functions
def | __init__ (self, board=None)
def | SaveSnapshot (self, index)
def | LoadSnapshot (self, index)
def | GetSnapShotCapacity (self)
def | GetDefaultSnapShot (self)
def | SetDefaultSnapShot (self, value)
def | GetErrorSystem (self)
def | GetErrorRegister (self)
def | GetErrorValue (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | __init__ (self, int or None channel=None, board=None)
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False)
def | set_register_id (self, int register_id, value, type=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_id (self, int register_id)
def | get_register_names (self)

## Public Attributes
| sys_id
| snapshot_capacity
| default_snapshot
| error_system
| error_register
| error_value
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | _get_register_list (self)
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Device Functionality - Snapshot Manager
    System ID: 0x27
    *
    * A system that supports saving and loading firmware configurations.
    *
    * ### Register Map:
    *
    * | Address | Name              | Default Value | Description                                         | Type   | Access     |
    * | --------|------------------ |---------------|-----------------------------------------------------|--------|----------- |
    * | 0x2700  | Snapshot capacity | 2             | Number of available snapshot slots, read-only       | uint32 | read only  |
    * | 0x2701  | Default snapshot  | 0             | Snapshot to load on system startup                  | uint32 | read write |
    * | 0x2702  | Error system      | 0             | ID of system which caused the last snapshot error   | uint8  | read only  |
    * | 0x2703  | Error register    | 0             | ID of register which caused the last snapshot error | uint8  | read only  |
    * | 0x2704  | Error value       | 0             | ID of value which caused the last snapshot error    | uint32 | read only  |

## Constructor & Destructor Documentation

## ◆ __init__()

def optoKummenberg.registers.MiscSystems.SnapshotManager.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

Reimplemented from optoKummenberg.registers.ClassAbstracts.System.

## Member Function Documentation

## ◆ GetDefaultSnapShot()

def optoKummenberg.registers.MiscSystems.SnapshotManager.GetDefaultSnapShot | ( |  | self | ) |

## ◆ GetErrorRegister()

def optoKummenberg.registers.MiscSystems.SnapshotManager.GetErrorRegister | ( |  | self | ) |

## ◆ GetErrorSystem()

def optoKummenberg.registers.MiscSystems.SnapshotManager.GetErrorSystem | ( |  | self | ) |

## ◆ GetErrorValue()

def optoKummenberg.registers.MiscSystems.SnapshotManager.GetErrorValue | ( |  | self | ) |

## ◆ GetSnapShotCapacity()

def optoKummenberg.registers.MiscSystems.SnapshotManager.GetSnapShotCapacity | ( |  | self | ) |

## ◆ LoadSnapshot()

def optoKummenberg.registers.MiscSystems.SnapshotManager.LoadSnapshot | ( |  | self,
|  |  | index
| ) |  |

## ◆ SaveSnapshot()

def optoKummenberg.registers.MiscSystems.SnapshotManager.SaveSnapshot | ( |  | self,
|  |  | index
| ) |  |

## ◆ SetDefaultSnapShot()

def optoKummenberg.registers.MiscSystems.SnapshotManager.SetDefaultSnapShot | ( |  | self,
|  |  | value
| ) |  |

## Member Data Documentation

## ◆ default_snapshot

optoKummenberg.registers.MiscSystems.SnapshotManager.default_snapshot

## ◆ error_register

optoKummenberg.registers.MiscSystems.SnapshotManager.error_register

## ◆ error_system

optoKummenberg.registers.MiscSystems.SnapshotManager.error_system

## ◆ error_value

optoKummenberg.registers.MiscSystems.SnapshotManager.error_value

## ◆ name

optoKummenberg.registers.MiscSystems.SnapshotManager.name

## ◆ snapshot_capacity

optoKummenberg.registers.MiscSystems.SnapshotManager.snapshot_capacity

## ◆ sys_id

optoKummenberg.registers.MiscSystems.SnapshotManager.sys_id

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/MiscSystems.py